DROP TABLE orders;
DROP TABLE resources;
DROP TABLE articles;

CREATE TABLE orders (
  ordno NUMBEr PRIMARY KEY,
  orddate DATE,
  total NUMBER(10,2)
);

ALTER SESSION SET NLS_DATE_FORMAT ='YYYY-MM-DD';
INSERT INTO orders VALUES (1, TO_DATE('2006-11-14'), 180.50);
INSERT INTO orders VALUES (2, TO_DATE('2006-11-15'), 3480.00);
INSERT INTO orders VALUES (3, TO_DATE('2006-11-15'), 1700.75);

CREATE TABLE articles (
  artno NUMBER PRIMARY KEY,
  url VARCHAR2(100),
  title VARCHAR2(100),
  author VARCHAR2(50),
  pubdate DATE,
  shortdesc VARCHAR2(400),
  fulldesc VARCHAR2(2000)
);

CREATE TABLE resources (
  resno NUMBER PRIMARY KEY,
  artno NUMBER REFERENCES articles(artno),
  url VARCHAR2(100),
  author VARCHAR2(50),
  title VARCHAR2(100)
);

ALTER SESSION SET NLS_DATE_FORMAT ='YYYY-MM-DD';
INSERT INTO articles VALUES (1, 'http://no.com', 'title1', 'author1', TO_DATE('2013-01-26'), 'short1', 'long1');
INSERT INTO articles VALUES (2, 'http://no.com', 'title2', 'author2', TO_DATE('2013-01-26'), 'short2', 'long2');


INSERT INTO resources VALUES (1, 1, 'http://a.com', 'AA', 'title1');
INSERT INTO resources VALUES (2, 1, 'http://b.com', 'BB', 'title2');
INSERT INTO resources VALUES (3, 1, 'http://c.com', 'CC', 'title3');

COMMIT;


